import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_zsdk_platform_interface.dart';

/// An implementation of [FlutterZsdkPlatform] that uses method channels.
class MethodChannelFlutterZsdk extends FlutterZsdkPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_zsdk');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
